Skip to content
ESLint shareable config for XO with 2-space indent
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
test bump dependencies Apr 29, 2016
.editorconfig Meta tweaks May 21, 2017
.gitattributes Meta tweaks Jun 25, 2018
.gitignore Meta tweaks Jun 25, 2018
.npmrc Meta tweaks Jun 25, 2018
.travis.yml Bump eslint and eslint-config-xo and require Node.js 6 (#7) Jun 25, 2018
browser.js simplify config Feb 14, 2016
esnext.js simplify config Feb 14, 2016
index.js simplify config Feb 14, 2016
license Meta tweaks Jun 25, 2018
package.json 0.21.0 Jan 14, 2019
readme.md Add readme note about using the XO issue tracker Jan 14, 2019

readme.md

eslint-config-xo-space Build Status

ESLint shareable config for XO with 2-space indent

This is for advanced users. You probably want to use XO directly.

Use the XO issue tracker instead of this one.

Install

$ npm install --save-dev eslint-config-xo-space

Usage

Add some ESLint config to your package.json:

{
	"name": "my-awesome-project",
	"eslintConfig": {
		"extends": "xo-space"
	}
}

Or to .eslintrc:

{
	"extends": "xo-space"
}

Supports parsing ES2015+, but doesn't enforce it by default.

This package also exposes xo-space/esnext if you want ES2015+ rules:

{
	"extends": "xo-space/esnext"
}

And xo-space/browser if you're in the browser:

{
	"extends": "xo-space/browser"
}

Related

License

MIT © Sindre Sorhus

You can’t perform that action at this time.